aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash')
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash9
1 files changed, 5 insertions, 4 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
index 26ea51d..19e8269 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
@@ -19,15 +19,16 @@
builtin_killoldrm()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
+ [[ -z "${PF}" && -z "${PNVR}" ]] && die "PF and PNVR both unset or empty"
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove previous work"
fi
}